summaryrefslogtreecommitdiff
path: root/.wmii/rbar_wifi
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2012-08-22 11:56:18 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2012-08-22 11:56:18 -0400
commitec3ed4f68e9247e9e27c853bf104495027983881 (patch)
tree7feccbbce429dfb18da452ae798ede6497e79dcb /.wmii/rbar_wifi
parente9f7fef7880b7f37c9da0b2be5e1ab5b08b23f6c (diff)
parent510fea7116c6bd01824af38b4e516b6e19fded81 (diff)
Merge branch 'master' of git://gitorious.org/lukeshu-dotfiles/lukeshu-dotfiles
Diffstat (limited to '.wmii/rbar_wifi')
-rwxr-xr-x.wmii/rbar_wifi10
1 files changed, 10 insertions, 0 deletions
diff --git a/.wmii/rbar_wifi b/.wmii/rbar_wifi
new file mode 100755
index 0000000..608b164
--- /dev/null
+++ b/.wmii/rbar_wifi
@@ -0,0 +1,10 @@
+#!/bin/bash
+. "$HOME/.wmii/include.sh"
+
+priority=$1
+
+set -e
+while true; do
+ echo 'Wlan0:' $(iwconfig wlan0 | sed 's/ /\n/g' | grep Quality) |a "$WMII_DIR/rbar/${priority}_wifi"
+ sleep 1
+done